// VCExampleDlg.h : header file
//

#if !defined(AFX_VCEXAMPLEDLG_H__6CDE6162_DD41_4B1E_967F_3A4E145E244F__INCLUDED_)
#define AFX_VCEXAMPLEDLG_H__6CDE6162_DD41_4B1E_967F_3A4E145E244F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CVCExampleDlg dialog

class CVCExampleDlg : public CDialog
{
// Construction
public:
	CVCExampleDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CVCExampleDlg)
	enum { IDD = IDD_VCEXAMPLE_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CVCExampleDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CVCExampleDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnInitialcard();
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnDestroy();
	afx_msg void OnAxisMotion();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnInterTimer();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	static DWORD WINAPI intproc(LPVOID param);
//	static unsigned long count;
	inline err(short rtn);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VCEXAMPLEDLG_H__6CDE6162_DD41_4B1E_967F_3A4E145E244F__INCLUDED_)
